org.apache.ignite

## Class IgniteIllegalStateException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalStateException
        - - org.apache.ignite.IgniteIllegalStateException

All Implemented Interfaces:
  Serializable

    public class IgniteIllegalStateException
    extends IllegalStateException

This exception indicates the ignite access in invalid state.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IgniteIllegalStateException(String msg)` Constructs exception with given message.
`IgniteIllegalStateException(String msg, Throwable cause)` Constructs exception with given message and cause.
`IgniteIllegalStateException(Throwable cause)` Creates exception given throwable as a cause and source of error message.

### Method Summary

Methods
`<T extends Throwable> T` `getCause(Class<T> cls)` Gets first exception of given class from `'cause'` hierarchy if any.
`boolean` `hasCause(Class<? extends Throwable>... cls)` Checks if this exception has given class in `'cause'` hierarchy.
`String` `toString()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IgniteIllegalStateException

    public IgniteIllegalStateException(String msg,
                               @Nullable
                               Throwable cause)

Constructs exception with given message and cause.

Parameters:
  `msg` - Exception message.
  `cause` - Exception cause.

#### IgniteIllegalStateException

    public IgniteIllegalStateException(Throwable cause)

Creates exception given throwable as a cause and source of error message.

Parameters:
  `cause` - Non-null throwable cause.

#### IgniteIllegalStateException

    public IgniteIllegalStateException(String msg)

Constructs exception with given message.

Parameters:
  `msg` - Exception message.

### Method Detail

#### hasCause

    public boolean hasCause(@Nullable
                   Class<? extends Throwable>... cls)

Checks if this exception has given class in `'cause'` hierarchy.

Parameters:
  `cls` - Cause class to check (if `null`, `false` is returned)..
Returns:
  `True` if one of the causing exception is an instance of passed in class, `false` otherwise.

#### getCause

    @Nullable
    public <T extends Throwable> T getCause(@Nullable
                                            Class<T> cls)

Gets first exception of given class from `'cause'` hierarchy if any.

Parameters:
  `cls` - Cause class to get cause (if `null`, `null` is returned).
Returns:
  First causing exception of passed in class, `null` otherwise.

#### toString

    public String toString()

Overrides:
  `toString` in class `Throwable`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.3.0-incubating
Release Date | : July 10 2015